#version 150

in vec2 _textureCoord;

out vec4 outputF;

uniform vec3 ambient;
uniform sampler2D colormap;
uniform bool hasColormap;

void main(void)
{
	//colormap
	vec4 colormapVal = vec4(1.0,1.0,1.0,1.0);
	if(hasColormap){
		colormapVal = texture(colormap, _textureCoord);
	}

	outputF = 0.1 * vec4(ambient, 1.0) * colormapVal;
}