#version 330 core

in  vec3 position;
in	vec2 textureCoord;

out vec2 _textureCoord;

uniform mat4 projMatrix;
uniform mat4 viewMatrix;
uniform mat4 modelMatrix;

void main(){
	_textureCoord = textureCoord;
	gl_Position = projMatrix * viewMatrix * modelMatrix * vec4(position, 1.0);
}