#version 150

in vec4 g_position;
out vec4 outputF;

uniform vec3 ambient;

void main(void)
{
	if(length(ambient) >= sqrt(3.0f)-0.1)
	{	//it's the sky box, no lighting.
		outputF = vec4(0.0,0.0,0.0,0.1);
	}
	else
	{
		outputF = abs(g_position/100);
	}
}