#version 150

in  vec3 position;
out vec3 _position;

uniform mat4 viewMatrix;
uniform mat4 modelMatrix;

void main(void)
{
	_position = vec3(modelMatrix * vec4(position, 1.0));
	gl_Position = viewMatrix * modelMatrix * vec4(position, 1.0);
}
